Garden_2006_20060608_08.JPG=Front Garden
garden2006_20060414_7.JPG=Other front garden
garden2006_20060422_13.JPG=Planter box on deck
Garden_2006_20060608_11.JPG=Day Lillies
Garden_2006_20060608_10.JPG=Mailbox garden
garden2006_20060414_9.JPG=Dad taking pictures of his handiwork
Garden_2006_20060608_01.JPG=Donna planting some flowers
garden2006_20060422_10.JPG=Planter box on deck
Garden_2006_20060608_04.JPG=Donna planting some flowers
garden2006_20060422_12.JPG=Planter box on deck
garden2006_20060414_4.JPG=Entire front yard
garden2006_20060414_5.JPG=Front corner garden
Garden_2006_20060608_03.JPG=Donna planting some flowers
Garden_2006_20060608_05.JPG=Donna planting some flowers
garden2006_20060422_11.JPG=Planter box on deck
garden2006_20060414_3.JPG=Mailbox garden
Garden_2006_20060608_12.JPG=Front corner garden
Garden_2006_20060608_09.JPG=Small Gardenia garden
garden2006_20060414_1.JPG=Sidewalk garden
garden2006_20060414_6.JPG=Front garden
Garden_2006_20060608_07.JPG=Front garden
Garden_2006_20060608_02.JPG=Donna planting some flowers
Garden_2006_20060608_06.JPG=Donna planting some flowers
garden2006_20060422_14.JPG=Planter box on deck
garden2006_20060414_8.JPG=Other front garden
garden2006_20060414_2.JPG=Small Gardenia garden
